PKCE mandatory from 2026-09-14 Details
Employment Hero LogoEmployment Hero

Employment History

This endpoint retrieves a list of the complete employment history for a specific employee.

GET
https://api.employmenthero.com/api/v1/organisations/:organisation_id/employees/:employee_id/employment_histories

Path Parameters

organisation_iduuidrequired

The ID of the organisation to retrieve

employee_iduuidrequired

The ID of the employee to retrieve

Query Parameters

page_indexnumber

Current page index

Default1
Min1
item_per_pagenumber

Number of items per page

Default20
Max100

Response Body

A hash with a data property that contains an array of up to the limit of employment history records. Each entry in the array is a separate employment history object. If there is no more employment history, the resulting array will be empty.

dataobject
itemsobject[]
iduuid

Unique identifier for the object.

titlestring

The title of employee

start_datedatetime

The start date of employment history

end_datedatetime

The end date of employment history

employment_typestring

The employment type of employee. Valid types depend on the employee's region. Common values: Full-time, Part-time, Casual

contract_typeenum<string>

The contract type of employee

industry_standard_job_titlestring

The industry standard job title

page_indexnumber

Current page index

Default1
Min1
item_per_pagenumber

Number of items per page

Default20
Max100
total_itemsnumber

Total items

total_pagesnumber

Total pages

Example

curl -X GET \  "https://api.employmenthero.com/api/v1/organisations/:organisation_id/employees/:employee_id/employment_histories" \  -H "Authorization: Bearer AUXJ3123xyrj123fdsjkl124aAJKQ"

Response

{  "data": {    "items": [      {        "id": "bf9c12e1-b40b-4fa9-abcb-d824e5cb3654",        "title": "Grad Developer",        "start_date": "2025-03-01T00:00:00+00:00",        "end_date": "2026-08-09T00:00:00+00:00",        "employment_type": "Full-time",        "contract_type": "Permanent",        "industry_standard_job_title": "Software Engineer"      }    ],    "page_index": 1,    "item_per_page": 20,    "total_items": 1,    "total_pages": 1  }}